Subject: hostname and -b option

From: "Nelson H. F. Beebe" <[email-masked]>
Date: Thu, 20 May 2010 15:45:01 -0600 (MDT)

We noticed recently that Ubuntu's /bin/hostname has this option

    -b, --boot            set default hostname if none available

and uses it in /etc/init/hostname.conf.

However, the GNU version from coreutils-1.8 lacks that option.

Unfortunately, Ubuntu's startup script puts /usr/local/bin ahead of
/bin and /usr/bin, thus getting a version of hostname that chokes on
the -b option.  We patched the configuration file to force an explicit
path:

    exec /bin/hostname -b -F /etc/hostname

Would it be reasonable to consider adding support in coreutils for the -b option?

At my site, I have

    % cat /etc/lsb-release
    DISTRIB_ID=Ubuntu
    DISTRIB_RELEASE=9.10
    DISTRIB_CODENAME=karmic
    DISTRIB_DESCRIPTION="Ubuntu 9.10"

    % uname -r
    2.6.31-21-generic-pae

    % /bin/hostname --version
    hostname 2.95

[I'm not urging that this be done, merely that it be discussed.  In my
view, Ubuntu is at fault for introducing nonstandard options, and
messing up the boot PATH, and failing to use explicit paths on
critical boot-time commands.  We had issues a few months ago with GNU
inetutils that have since been resolved by adding support in inetutils
for an option expected by Ubuntu.]

-------------------------------------------------------------------------------
- Nelson H. F. Beebe                    Tel: +1 801 581 5254                  -
- University of Utah                    FAX: +1 801 581 4148                  -
- Department of Mathematics, 110 LCB    Internet e-mail: [email-masked]  -
- 155 S 1400 E RM 233                       [email-masked]  [email-masked] -
- Salt Lake City, UT 84112-0090, USA    URL: http://www.math.utah.edu/~beebe/ -
-------------------------------------------------------------------------------